...
// скопируем строку f из FLASH
// в строку e в EEPROM
ptr_to_flash=f;
ptr_to_eeprom=e;

while (*ptr_to_flash)
  *ptr_to_eeprom++=*ptr_to_flash++;

// скопируем нулевой символ в конце строки f из FLASH
// в конец строки e в EEPROM
*ptr_to_eeprom=*ptr_to_flash;

// скопируем строку e из EEPROM
// в строку r в SRAM
ptr_to_eeprom=e;
ptr_to_ram=r;

while (*ptr_to_eeprom)
  *ptr_to_ram++=*ptr_to_eeprom++;

// скопируем нулевой символ в конце строки e из EEPROM
// в конец строки e в SRAM
*ptr_to_ram=*ptr_to_eeprom;

// здесь остановка
while (1);
}
